MySegmentC2< R_ >

## Public Types

typedef R_ | R

## Public Member Functions

| MySegmentC2 ()
| MySegmentC2 (const Point_2 &sp, const Point_2 &tp)
bool | is_horizontal () const
bool | is_vertical () const
bool | has_on (const Point_2 &p) const
bool | collinear_has_on (const Point_2 &p) const
bool | operator== (const MySegmentC2 &s) const
bool | operator!= (const MySegmentC2 &s) const
const Point_2 & | source () const
const Point_2 & | target () const
const Point_2 & | start () const
const Point_2 & | end () const
const Point_2 & | min () const
const Point_2 & | max () const
const Point_2 & | vertex (int i) const
const Point_2 & | point (int i) const
const Point_2 & | operator[] (int i) const
FT | squared_length () const
Direction_2 | direction () const
Vector_2 | to_vector () const
Line_2 | supporting_line () const
Segment_2 | opposite () const
Segment_2 | transform (const Aff_transformation_2 &t) const
bool | is_degenerate () const
CGAL::Bbox_2 | bbox () const

## Detailed Description

### template<class R_>
class rheolef::custom_cgal::MySegmentC2< R_ >

Definition at line 57 of file cgal_kernel.h.

## Member Typedef Documentation

## R

typedef R_ R

Definition at line 69 of file cgal_kernel.h.

## Constructor & Destructor Documentation

## MySegmentC2() [1/2]

MySegmentC2 | ( |  | ) |

Definition at line 71 of file cgal_kernel.h.

## MySegmentC2() [2/2]

MySegmentC2 | ( | const Point_2 & | sp,
|  | const Point_2 & | tp
| ) |  |

Definition at line 73 of file cgal_kernel.h.

## Member Function Documentation

## is_horizontal()

bool is_horizontal

Definition at line 225 of file cgal_kernel.h.

## is_vertical()

bool is_vertical

Definition at line 232 of file cgal_kernel.h.

## has_on()

bool has_on | ( | const Point_2 & | p | ) | const

Definition at line 240 of file cgal_kernel.h.

## collinear_has_on()

bool collinear_has_on | ( | const Point_2 & | p | ) | const

Definition at line 248 of file cgal_kernel.h.

## operator==()

bool operator== | ( | const MySegmentC2< R_ > & | s | ) | const

Definition at line 120 of file cgal_kernel.h.

## operator!=()

bool operator!= | ( | const MySegmentC2< R_ > & | s | ) | const

Definition at line 127 of file cgal_kernel.h.

## source()

const Point_2& source | ( |  | ) | const

Definition at line 84 of file cgal_kernel.h.

## target()

const Point_2& target | ( |  | ) | const

Definition at line 89 of file cgal_kernel.h.

## start()

const Point_2& start | ( |  | ) | const

## end()

const Point_2& end | ( |  | ) | const

## min()

const MySegmentC2< R >::Point_2 & min

Definition at line 134 of file cgal_kernel.h.

## max()

const MySegmentC2< R >::Point_2 & max

Definition at line 142 of file cgal_kernel.h.

## vertex()

const MySegmentC2< R >::Point_2 & vertex | ( | int | i | ) | const

Definition at line 150 of file cgal_kernel.h.

## point()

const MySegmentC2< R >::Point_2 & point | ( | int | i | ) | const

Definition at line 157 of file cgal_kernel.h.

## operator[]()

const MySegmentC2< R >::Point_2 & operator[] | ( | int | i | ) | const

Definition at line 164 of file cgal_kernel.h.

## squared_length()

MySegmentC2< R >::FT squared_length

Definition at line 171 of file cgal_kernel.h.

## direction()

MySegmentC2< R >::Direction_2 direction

Definition at line 179 of file cgal_kernel.h.

## to_vector()

MySegmentC2< R >::Vector_2 to_vector

Definition at line 187 of file cgal_kernel.h.

## supporting_line()

MySegmentC2< R >::Line_2 supporting_line

Definition at line 195 of file cgal_kernel.h.

## opposite()

MySegmentC2< R >::Segment_2 opposite

Definition at line 204 of file cgal_kernel.h.

## transform()

Segment_2 transform | ( | const Aff_transformation_2 & | t | ) | const

Definition at line 109 of file cgal_kernel.h.

## is_degenerate()

bool is_degenerate

Definition at line 218 of file cgal_kernel.h.

## bbox()

CGAL::Bbox_2 bbox

Definition at line 211 of file cgal_kernel.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/fem/geo_element/cgal_kernel.h